VRENDER_CACHE_NOTIFY_FUNC(3)

FUNCTION
vrender_cache_notify_func - Register cache computed callback.

SYNOPSIS
#include <karma_vrender.h>

KCallbackFunc vrender_cache_notify_func

(KVolumeRenderContext context, void (*func) (KVolumeRenderContext context, void **info, uaddr eyes), void *info)

DESCRIPTION
This routine will register a function which should be called whenever the cache for one or more eye views is computed.

context
    The volume render context.

func
    The routine to be called. The prototype function is <-vrender_PROTO_cache_notify_func->

info
    The initial arbitrary information pointer.

RETURN VALUE
A KCallbackFunc object on success. On failure, the process aborts

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/